/* Keyboard Layer/2
 *
 * Engine
 * Copyright (C) 1998 by Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: layer_engine.h,v 1.1 2002/03/31 19:08:53 glass Exp $
 */

/**@#-*/
#ifndef  __LAYER_ENGINE_H
#define  __LAYER_ENGINE_H

#include <os2def.h>
/**@#+*/

#define WM_FLOATTOTOP   (WM_USER+1)
#define WM_LAYERCHANGED (WM_USER+2)
#define WM_REPLAYFOCUS  (WM_USER+3)
#define WM_SETDEFAULT   (WM_USER+4)
#define WM_CHANGERPOPUP (WM_USER+5)

#if defined(__cplusplus)
extern "C" {
#endif

#if !defined(__ccdoc__)

  typedef struct _CHARMSG CHRMSG;

  void EXPENTRY beep_lat ();
  void EXPENTRY beep_nat ();
  LONG EXPENTRY is_hotkey( BYTE, LONG, ULONG );
#endif

void  EXPENTRY engine_start( HAB, HWND );
void  EXPENTRY engine_stop ();

void  EXPENTRY set_transparent_focus( BOOL    enable );
void  EXPENTRY set_float_on_top     ( BOOL    enable );
void  EXPENTRY set_pipe_out         ( BOOL    enable );
void  EXPENTRY set_beeps            ( BOOL    enable );
void  EXPENTRY set_changer          ( BOOL    enable );
void  EXPENTRY set_vdm_synchronize  ( BOOL    enable );
void  EXPENTRY set_vdm_color        ( LONG    rgb    );
void  EXPENTRY set_default_layer_id ( ULONG   id     );
void  EXPENTRY set_changer_hotkeys  ( CHRMSG* keys   );
void  EXPENTRY set_layer_hotkeys    ( SHORT   keys   );
void  EXPENTRY set_layer_timeout    ( LONG    time   );
void  EXPENTRY set_layer_id         ( LONG    id     );

BOOL  EXPENTRY is_transparent_focus_enabled();
BOOL  EXPENTRY is_float_on_top_enabled     ();
BOOL  EXPENTRY is_pipe_out_enabled         ();
BOOL  EXPENTRY is_beeps_enabled            ();
BOOL  EXPENTRY is_changer_enabled          ();
BOOL  EXPENTRY is_vdm_synchronized         ();
BOOL  EXPENTRY is_vdm_supported            ();

LONG  EXPENTRY get_layer_id        ();
ULONG EXPENTRY get_default_layer_id();
SHORT EXPENTRY get_layer_hotkeys   ();
LONG  EXPENTRY get_layer_timeout   ();

#if defined(__cplusplus)
}
#endif

/**@#-*/
#endif
/**@#+*/

