/* Keyboard Layer/2
 *
 * Definitions
 * Copyright (C) 1998 by Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: layer_global.h,v 1.2 2002/10/10 12:27:30 glass Exp $
 */

/**@#-*/
#ifndef __LAYER_GLOBAL_H
#define __LAYER_GLOBAL_H
/**@#+*/

#define PACKAGE_VERSION "2.1.1"

#ifndef KL_LATIN
#define KL_LATIN    0x00000000
#endif
#ifndef KL_NATIONAL
#define KL_NATIONAL 0x00000001
#endif
#define KL_NONE     0xFFFFFFFF

#define BEEP_LAT   800
#define BEEP_NAT  1000
#define BEEP_LEN    20

#define VLCMD_SETSWITCH       0 // Set switch sequence
#define VLCMD_SETBEEP         1 // Enable/disable sound
#define VLCMD_GETLAYER        2 // Get layer status
#define VLCMD_GETEVENT        3 // Get VDD event
#define VLCMD_SETCOLOR        4 // Set VDM screen border color
#define VLCMD_SETTMOUT        5 // Set time-out
#define VLCMD_ENABLE          6 // Enable/disable VDM support
#define VLCMD_SETFORNEW       7 // Set layout for new windows

#pragma pack(1)
struct  VLEVENT
{
  BYTE  EventType;  // Event type
  SHORT EventData;  // Event date
  LONG  EventPID;   // Process ID
  LONG  EventNULL;  // Reserved
};
#pragma pack()

#define VLEVN_LAYERCHANGED    0 // Event: layer changed

#define LAYER_EXIT_NORMAL     0 // Normal termination
#define LAYER_EXIT_INITERROR  1 // Error in initialization
#define LAYER_EXIT_DUPLICATE  4 // Duplicate launch
#define LAYER_EXIT_BREAK      5 // Duplicate launch

extern void apply_preferences   ();
extern void setup_preferences   ();
extern void indicator_to_pipe   ();
extern void indicator_clear_pipe();

/**@#-*/
#endif
/**@#+*/

