/* Keyboard Layer/2
 *
 * Definitions
 * Copyright (C) 1998 by Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: layer_ids.h,v 1.4 2002/04/03 17:40:15 glass Exp $
 */

#define ID_WIN_INDICATOR  100
#define ID_WIN_MAIN       100

#define ID_WIN_SETUP      110
#define ID_SET_SWFRAME    111
#define ID_SET_SWITCH     112
#define ID_SET_BEEP       113
#define ID_SET_DEFAULT    114
#define ID_SET_PIPES      115
#define ID_SET_COSYN      116
#define ID_SET_TIMEOUT    117
#define ID_SET_TIMETXT    118

#define ID_WIN_ABOUT      150
#define ID_ABO_TEXT       151
#define ID_ABO_VERSION    152

#define ID_WIN_LANGUAGE   200
#define ID_LNG_FRAME      201
#define ID_LNG_SELECT     202

#define ID_WIN_NOTEBOOK   230
#define ID_NBK_SETUP      231

#define ID_WIN_LAYOUTS    300
#define ID_LAY_NEWFRAME   301
#define ID_LAY_NEWLAT     302
#define ID_LAY_NEWNAT     303
#define ID_LAY_NEWSYS     304
#define ID_LAY_CHNGFRAME  308
#define ID_LAY_CHNGENABLE 309
#define ID_LAY_CHNGSETKEY 310
#define ID_LAY_CHNGKEYS   311

#define ID_WIN_KEYPROMPT  400
#define ID_KEY_TEXT       401

#define ID_WIN_CHANGER    500
#define ID_CHN_LISTBOX    501
#define ID_CHN_SELECTTXT  507

#define ID_ICO_KEYS       600

#define ID_MNU_MAIN       900
#define ID_MNU_SETUP      901
#define ID_MNU_HIDE       904
#define ID_MNU_TASKLIST   905
#define ID_MNU_TRANSPFC   906
#define ID_MNU_FLOAT      907
#define ID_MNU_CLOSE      908
#define ID_MNU_LAYOUT     909
#define ID_LAY_FIRST      910
#define ID_MNU_TRAY       950

#define ID_FLG_LATIN      32768 // Latin
#define ID_FLG_NATIONAL   32769 // National
#define ID_FLG_OTHER      32770 // Other
#define ID_FLG_BA         16961 // Bosnia
#define ID_FLG_BE         16965 // Belgium
#define ID_FLG_BG         16967 // Bulgaria
#define ID_FLG_BR         16978 // Brazil
#define ID_FLG_CA         17217 // Canada
#define ID_FLG_CF         17222 // Canada
#define ID_FLG_CZ         17242 // Czech
#define ID_FLG_DE         17477 // Germany
#define ID_FLG_DK         17483 // Denmark
#define ID_FLG_EE         17733 // Estonia
#define ID_FLG_FR         18002 // France
#define ID_FLG_GK         18251 // Greece
#define ID_FLG_GR         18258 // Germany
#define ID_FLG_HR         18514 // Croatia
#define ID_FLG_HU         18517 // Hungary
#define ID_FLG_IS         18771 // Iceland
#define ID_FLG_IT         18772 // Italy
#define ID_FLG_LV         19542 // Latvia
#define ID_FLG_LT         19540 // Lithuania
#define ID_FLG_MK         19787 // Macedonia
#define ID_FLG_NL         20044 // Netherlands
#define ID_FLG_NO         20047 // Norwey
#define ID_FLG_PL         20556 // Poland
#define ID_FLG_PO         20559 // Portugal
#define ID_FLG_RO         21071 // Romania
#define ID_FLG_RU         21077 // Russian
#define ID_FLG_SF         21318 // Switzerland
#define ID_FLG_SK         21323 // Slovakia
#define ID_FLG_SL         21324 // Slovenia
#define ID_FLG_SP         21328 // Spain
#define ID_FLG_SQ         21329 // Albania
#define ID_FLG_SR         21330 // Serbia
#define ID_FLG_SU         21333 // Finland
#define ID_FLG_SV         21334 // Sweden
#define ID_FLG_TR         21586 // Turkey
#define ID_FLG_UA         21825 // Ukraine
#define ID_FLG_UK         21835 // UK
#define ID_FLG_US         21843 // USA
