/* Keyboard Layer/2
 *
 * User profile management
 * Copyright (C) 1999 by Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: layer_profiles.h,v 1.1 2002/03/31 19:08:53 glass Exp $
 */

/**@#-*/
#ifndef __LAYER_PROFILES_H
#define __LAYER_PROFILES_H

#include <os2def.h>
/**@#+*/

#if defined(__cplusplus)
extern "C" {
#endif

void  ini_put_data ( const char*, const void*, ULONG  );
void  ini_put_long ( const char*, LONG  );
void  ini_put_short( const char*, SHORT );
void  ini_put_chars( const char*, const char* );

ULONG ini_get_data ( const char*, void*, ULONG );
LONG  ini_get_long ( const char*, LONG  );
SHORT ini_get_short( const char*, SHORT );
char* ini_get_chars( const char*, char*, ULONG, char* );

#if defined(__cplusplus)
}
#endif

#if !defined(__ccdoc__)

#define INI_SWITCH      "Switch key"
#define INI_BEEP        "Beep"
#define INI_PIPES       "Output in pipe"
#define INI_POS         "Pos"
#define INI_REMOVE      "Remove from task list"
#define INI_TRANSPFC    "Transparent focus"
#define INI_FONT        "Font"
#define INI_COSYN       "VDM color synchronize"
#define INI_FLOATONTOP  "Float on top"
#define INI_TIMEOUT     "TimeOut"
#define INI_LANGUAGE    "Language"
#define INI_LAYOUT_NEW  "Layout for new window"
#define INI_LAYOUT      "Layout"
#define INI_CHNGENABLE  "Changer enable"
#define INI_CHNGHOTKEYS "Changer activation keys"
#endif

/**@#-*/
#endif
/**@#+*/
